Subject: Re: Unable to clone svn repository

From: [email-masked]
Date: Wed, 03 Sep 2008 13:01:47 +0200

> -----Ursprüngliche Nachricht-----
> Von: "Vincent Kergonna" <[email-masked]>
> Gesendet: 02.09.08 18:13:23
> An: [email-masked]
> CC: [email-masked]
> Betreff: Re: Unable to clone svn repository

> > Hi guys,
> >
> 
> Hi,
> 
> > im getting an error when im trying to clone a big svn repository. trunk
> > and a couple of branches worked before
> > git crashed.
> >
> > git Version 1.6.0.1
> >
> > command: git-svn clone https://SECRETURL --trunk=trunk --branches=branches
> > --tags=tags
> > error:
> >
> > Found possible branch point:
> > https://SECRETURL/branches/dirk/Abo-Uebernahme (Bug #994) =>
> > https://SECRETURL/branches/Abo-Uebernahme (Bug #994), 341
> > Initializing parent: Abo-Uebernahme (Bug #994)@341
> > W: Ignoring error from SVN, path probably does not exist: (175002): RA
> > layer request failed: REPORT request failed on '/svn/tixx1/!svn/bc/101':
> > REPORT of '/svn/tixx1/!svn/bc/101': Could not read chunk size: Secure
> > connection truncated (https://SECRETURL)
> > W: Do not be alarmed at the above message git-svn is just searching
> > aggressively for old history.
> > This may take a while on large repositories
> > Found possible branch point: https://SECRETURL/trunk =>
> > https://SECRETURL/branches/dirk/Abo-Uebernahme (Bug #994), 203
> > Found branch parent: (Abo-Uebernahme (Bug #994)@341)
> > bb831869748c98bf97d105c5894ae65331c95c08
> > Bad URL passed to RA layer: Malformed URL for repository at
> > /usr/bin/git-svn line 3792
> >
> > Maybe a https problem -> "Secure connection truncated (https://SECRETURL)"
> > ?
> > Anyone has an idea and can help me?
> >
> 
> I'm not 100% sure but I think I hit this problem last friday. It you cd
> into the directory created by "git svn clone" you can do
> 
> git svn update
> 
> it should continue to download the changes. I had to update it several
> times because I got the error several times, but in the end I managed to
> have a clone of the svn repository.

git-svn update isn't a valid git cmd. Do you mean git-svn fetch?
But that didn't helped anyway.

Any clue?

Majk 

_____________________________________________________________________
Der WEB.DE SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen!
http://smartsurfer.web.de/?mc=100071&distributionid=000000000066